//
// Created by Krad on 2021/10/11.
//

#include "EventCenter.h"

void EventCenter::triggerEvent(GUIEvents event, QObject *sender, QObject *data) {
    switch (event) {
        #define ADD_EVENT_VALUE(val)\
        case GUIEvents:: val :\
        {\
            emit val(sender,data);\
            break;\
        }
        ADD_EVENT()
        #undef ADD_EVENT_VALUE
        default:
            break;
    }
}
